        program trnsl8
        implicit none
        integer :: ic, nrec, mrec
        integer, parameter :: kdat=20, kout=21
        character (len=255) :: record, field
        real :: value

        open(kdat,file='gsddat.gms')
        open(kout,file='gsddat.out')

        nrec = 0
        mrec = 0
        do 
          read(kdat,'(a)',end=1000) record

          nrec = nrec + 1
          if (mod(nrec,10000).eq.0) write(*,*) nrec, mrec

          if (record(1:1).eq.'*' .or. &
              record(1:1).eq.'!' .or. &
              record(1:1).eq.' ' .or. &
              record(1:1).eq.'$' .or. &
              record(1:1).eq.'/' .or. &
              record(1:1).eq.'P') then
            write(kout,'(a)') trim(record)
            mrec = mrec + 1
          else
            ic = index(record,' ')
            field = adjustl(record(ic:))
            read(field,*) value
            if (abs(value).gt.1.e-8) then 
              write(kout,'(a,1pe19.12)') record(1:ic),value
              mrec = mrec + 1
            end if
          end if
        end do

1000    close(kdat)
        close(kout)
        stop

        end program trnsl8
