@echo off

set file=twobytwo

:	Run MGE2XX

mge2xx %file%

:	Delete old files

	if exist *.bak del *.bak
	if exist gp*.log del gp*.log
	if exist %file%.dis del %file%.dis
	if exist %file%.sl4 del %file%.sl4
	if exist %file%.upd del %file%.upd

:	Run Tablo

tablo -sti %file%.sti > %file%-tab.log
if errorlevel 1 goto error

:	Run GEMSim

gemsim -cmf %file%hsim.cmf > %file%-run.log
if errorlevel 1 goto error

echo.
echo	Successful completion
echo.
if exist %file%hsim.dis tabmate %file%hsim.dis
if exist %file%hsim.sl4 viewsol %file%hsim.sl4
:if exist %file%hsim.upd viewhar %file%hsim.upd
goto end

:error
echo.
echo	ERROR : check log file
echo.
pause
tabmate %file%-tab.log
if exist %file%-run.log tabmate %file%-run.log

:end