call lf_95

REM This just compiles and links it
REM Delete old version of EXE
if exist mge2xx.exe del mge2xx.exe

REM MPSGE module
REM This assumes MPSGE module is up-to-date
REM lf95 -c mpsge
REM if errorlevel 1 goto error
REM lm mpsge -+mpsge ;

REM mgeGP module
lf95 -c mpsgp
if errorlevel 1 goto error
lm mpsgp -+mpsgp;

REM mgeGMS module
REM This assumes MGEGMS module is up-to-date
REM lf95 -c mpsgms
REM if errorlevel 1 goto error
REM lm mpsgms -+mpsgms ;

REM main program
lf95 mge2xx -lib mpsge -lib mpsgms -lib mpsgp 
if errorlevel 1 goto error2

goto compok

REM Run the program
REM mge2xx > mge2xx.out
REM if errorlevel 1 goto runerror

REM goto ranok

:error
@echo off
echo .
echo Error compiling MPSGE routines
echo .
goto end

:error2
@echo off
echo .
echo Error compiling and linking main program
echo .
goto end

:runerror
@echo off
echo .
echo Error running main program
echo .
goto end

:ranok
@echo off
echo .
echo Seems to have compiled and ran ok
echo .
goto end

:compok
@echo off
echo .
echo Seems to have compiled and linked ok
echo .
if exist "c:\Program Files\AsPack\aspack.exe" start aspack mge2xx.exe /Q  /B- 
goto end


:end
