$model:sj

* Stylized Johansen model

$sectors:
  xcom(SECT)              ! production
  y                 ! aggregate consumption

$commodities:
  pc(SECT)              ! price of commodity
  py                ! price of aggregate consumption
  pf(FAC)             ! price of primary factor

$consumers:
  ra                ! representative agent income

$prod:xcom(SECT)          
* Tricky. Can infer that SECT1 is a subset of SECT here since pc is defined over SECT
*  but is also used over SECT1.
  o:pc(SECT)         q:DVCOM(SECT)
  i:pc(SECT1)        q:DVCOMIN(SECT1,SECT)
  i:pf(FAC)          q:DVFACIN(FAC,SECT)

$prod:y            
  o:py                 q:200
* NB. This error not picked up ** Need to do so in Tom's part of code??
* Error:  i:p(SECT)            q:DVHOUS(SECT)
  i:pc(SECT)            q:DVHOUS(SECT)

$demand:ra
  d:py
  e:pf(FAC)           q:endow(FAC)

